/*
 * Class BILINEAR [NATURAL_64]
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_1740 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_1740 [] = {0xFF01,1551,1739,860,0xFFFF};
static const EIF_TYPE_INDEX egt_2_1740 [] = {0xFF01,1739,860,0xFFFF};
static const EIF_TYPE_INDEX egt_3_1740 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_1740 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_1740 [] = {0xFF01,1739,860,0xFFFF};
static const EIF_TYPE_INDEX egt_6_1740 [] = {0xFF01,1739,860,0xFFFF};
static const EIF_TYPE_INDEX egt_7_1740 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_1740 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_1740 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_1740 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_1740 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_1740 [] = {1739,860,0xFFFF};
static const EIF_TYPE_INDEX egt_13_1740 [] = {0xFF01,1739,860,0xFFFF};
static const EIF_TYPE_INDEX egt_14_1740 [] = {0xFF01,1722,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_15_1740 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_16_1740 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_17_1740 [] = {0xFFF8,1,0xFFFF};


static const struct desc_info desc_1740[] = {
	{EIF_GENERIC(NULL), 8957, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_1740), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_1740), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_1740), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_1740), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_1740), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_1740), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_1740), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_1740), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_1740), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_1740), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_1740), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_1740), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_1740), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_1740), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8800, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8618, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8619, 0},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8620, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8621, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8622, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_1740), 8811, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_1740), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8801, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8956, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8803, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_1740), 8804, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8805, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_17_1740), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8955, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8807, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8808, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8809, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8810, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8802, 0xFFFFFFFF},
};
void Init1740(void)
{
	IDSC(desc_1740, 0, 1739);
	IDSC(desc_1740 + 1, 1, 1739);
	IDSC(desc_1740 + 32, 1134, 1739);
	IDSC(desc_1740 + 41, 1444, 1739);
	IDSC(desc_1740 + 50, 1534, 1739);
	IDSC(desc_1740 + 57, 1245, 1739);
}


#ifdef __cplusplus
}
#endif
